/** 
 * @file InterestDetector.cpp
 * @brief interest detector interface
 * @author Erik Rodner
 * @date 02/05/2008

 */
#include <iostream>

#include "vislearning/features/localfeatures/InterestDetector.h"

using namespace OBJREC;
using namespace std;
using namespace NICE;

InterestDetector::InterestDetector()
{
}

InterestDetector::~InterestDetector()
{
}
void InterestDetector::reducePositionsRandom(
		std::vector<NICE::Vector> & positions, size_t numsamples) const
{
	while(positions.size()> numsamples)
	{
		size_t pos = rand() % positions.size();
		positions.erase(positions.begin()+pos);
	}
}

